Skip to main content
GET
/
rounds
/
as-categories
Get Rounds As Categories
curl --request GET \
  --url https://api-dev.monyfix.tech/rounds/as-categories \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": 123,
    "name": "<string>",
    "rounds": [
      {
        "id": "<string>",
        "uniq_id": "<string>",
        "status": "<string>",
        "entry_fee": "<string>",
        "is_active": true,
        "owner": {
          "id": "<string>",
          "first_name": "<string>",
          "last_name": "<string>",
          "avatar_url": "<string>"
        },
        "members_count": 123,
        "max_members_count": 123,
        "variant": "<string>",
        "item": {
          "id": "<string>",
          "name": "<string>",
          "platform_price": 123,
          "price": 123,
          "store": {
            "id": 123,
            "name": "<string>",
            "is_blogger": true,
            "seller_type": "<string>",
            "logo_url": "<string>"
          },
          "format_price": "<string>",
          "sku": "<string>",
          "start_time": "2023-11-07T05:31:56Z",
          "end_time": "2023-11-07T05:31:56Z",
          "duration": 123,
          "event_type": "<string>",
          "assets": [],
          "participants_limit": 123,
          "location": {
            "address": "<string>",
            "country": "<string>",
            "city": "<string>"
          }
        },
        "format_entry_fee": "<string>",
        "participant_statuses": [
          {
            "status": "<string>",
            "user": {
              "id": "<string>",
              "phone": "<string>",
              "username": "<string>",
              "first_name": "<string>",
              "last_name": "<string>",
              "avatar_url": "<string>"
            }
          }
        ],
        "in_favorites": false
      }
    ]
  }
]
⚠️ Этот эндпоинт deprecated и будет удален в будущем.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

category_limit
integer | null
default:4

Limit for number of categories

Required range: x <= 10
category_offset
integer | null
default:0

Offset for categories

round_limit
integer | null
default:4

Limit for number of round per category

Required range: x <= 10
round_offset
integer | null
default:0

Offset for round per category

Response

Successful Response

id
integer
required
name
string
required
rounds
RoundAsCategoriesGetResponse · object[]
required